sun.applet

## Class PluginCookieManager

- java.lang.Object
- - java.net.CookieHandler
  - - java.net.CookieManager
    - - sun.applet.PluginCookieManager

    public class PluginCookieManager
    extends java.net.CookieManager

### Constructor Summary

Constructors
Constructor and Description
`PluginCookieManager(PluginStreamHandler streamHandler)`

### Method Summary

Methods
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` `get(java.net.URI uri, java.util.Map<java.lang.String,java.util.List<java.lang.String>> requestHeaders)`
`void` `put(java.net.URI uri, java.util.Map<java.lang.String,java.util.List<java.lang.String>> responseHeaders)`

### Methods inherited from class java.net.CookieManager

`getCookieStore, setCookiePolicy`

### Methods inherited from class java.net.CookieHandler

`getDefault, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginCookieManager

    public PluginCookieManager(PluginStreamHandler streamHandler)

### Method Detail

#### get

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> get(java.net.URI uri,
                                                                       java.util.Map<java.lang.String,java.util.List<java.lang.String>> requestHeaders)
                                                                         throws java.io.IOException

Overrides:
  `get` in class `java.net.CookieManager`
Throws:
  `java.io.IOException`

#### put

    public void put(java.net.URI uri,
           java.util.Map<java.lang.String,java.util.List<java.lang.String>> responseHeaders)
             throws java.io.IOException

Overrides:
  `put` in class `java.net.CookieManager`
Throws:
  `java.io.IOException`